# OnnxRuntime: Ort::detail::attr_utils Namespace Reference

Loading...
Searching...
No Matches
Ort::detail::attr_utils Namespace Reference

## Functions

void | GetAttr (const OrtKernelInfo *p, const char *name, float &)
void | GetAttr (const OrtKernelInfo *p, const char *name, int64_t &)
void | GetAttr (const OrtKernelInfo *p, const char *name, std::string &)
void | GetAttrs (const OrtKernelInfo *p, const char *name, std::vector< float > &)
void | GetAttrs (const OrtKernelInfo *p, const char *name, std::vector< int64_t > &)

## Function Documentation

## GetAttr() [1/3]

void Ort::detail::attr_utils::GetAttr | ( | const OrtKernelInfo * | p,
|  | const char * | name,
|  | float & |
| ) |  |

## GetAttr() [2/3]

void Ort::detail::attr_utils::GetAttr | ( | const OrtKernelInfo * | p,
|  | const char * | name,
|  | int64_t & |
| ) |  |

## GetAttr() [3/3]

void Ort::detail::attr_utils::GetAttr | ( | const OrtKernelInfo * | p,
|  | const char * | name,
|  | std::string & |
| ) |  |

## GetAttrs() [1/2]

void Ort::detail::attr_utils::GetAttrs | ( | const OrtKernelInfo * | p,
|  | const char * | name,
|  | std::vector< float > & |
| ) |  |

## GetAttrs() [2/2]

void Ort::detail::attr_utils::GetAttrs | ( | const OrtKernelInfo * | p,
|  | const char * | name,
|  | std::vector< int64_t > & |
| ) |  |